-- UPDATE AIMilitaryStrategies SET FirstTurnExecuted = 1 Where Type =-- "MILITARYAISTRATEGY_NEED_RANGED";
UPDATE CustomModOptions SET Value = 1 WHERE Name = 'AI_UNIT_PRODUCTION';

-- Note: Make IDs softcoded
INSERT INTO Flavors (ID, Type) VALUES
(38, 'FLAVOR_ARCHER'),
(39, 'FLAVOR_SIEGE'),
(40, 'FLAVOR_SKIRMISHER'),
(41, 'FLAVOR_NAVAL_MELEE'),
(42, 'FLAVOR_NAVAL_RANGED'),
(43, 'FLAVOR_SUBMARINE'),
(44, 'FLAVOR_BOMBER'),
(45, 'FLAVOR_FIGHTER');

DELETE FROM AIMilitaryStrategies WHERE Type IN ("MILITARYAISTRATEGY_NEED_RANGED", "MILITARYAISTRATEGY_ENOUGH_RANGED");
-- Note: Make IDs softcoded
-- Note: Make PreReqTechs softcoded

INSERT INTO AIMilitaryStrategies (ID, Type, NoMinorCivs, OnlyMinorCivs, UpdateCitySpecializations, CheckTriggerTurnCount, FirstTurnExecuted, MinimumNumTurnsExecuted, WeightThreshold, TechObsolete, TechPrereq) VALUES 
(40, "MILITARYAISTRATEGY_NEED_ARCHER", 		  0, 0, 0, 2, 10, 2, 0, null, null),
(41, "MILITARYAISTRATEGY_ENOUGH_ARCHER", 	  0, 0, 0, 2, 10, 2, 0, null, null),
(26, "MILITARYAISTRATEGY_NEED_SIEGE", 		  1, 0, 0, 2, 50, 2, 0, null, "TECH_CONSTRUCTION"),
(27, "MILITARYAISTRATEGY_ENOUGH_SIEGE", 	  1, 0, 0, 2, 50, 2, 0, null, "TECH_CONSTRUCTION"),
(28, "MILITARYAISTRATEGY_NEED_SKIRMISHER", 	  1, 0, 0, 2, 25, 2, 0, null, "TECH_ANIMAL_HUSBANDRY"),
(29, "MILITARYAISTRATEGY_ENOUGH_SKIRMISHER",  1, 0, 0, 2, 25, 2, 0, null, "TECH_ANIMAL_HUSBANDRY"),
(30, "MILITARYAISTRATEGY_NEED_NAVAL_MELEE",   1, 0, 0, 2, 50, 2, 0, null, "TECH_SAILING"),
(31, "MILITARYAISTRATEGY_ENOUGH_NAVAL_MELEE", 1, 0, 0, 2, 50, 2, 0, null, "TECH_SAILING"),
(32, "MILITARYAISTRATEGY_NEED_NAVAL_RANGED",  1, 0, 0, 2, 50, 2, 0, null, "TECH_OPTICS"),
(33, "MILITARYAISTRATEGY_ENOUGH_NAVAL_RANGED",1, 0, 0, 2, 50, 2, 0, null, "TECH_OPTICS"),
(34, "MILITARYAISTRATEGY_NEED_SUBMARINE", 	  1, 0, 0, 2, 100, 2, 0, null, "TECH_PLASTIC"),
(35, "MILITARYAISTRATEGY_ENOUGH_SUBMARINE",   1, 0, 0, 2, 100, 2, 0, null, "TECH_PLASTIC"),
(36, "MILITARYAISTRATEGY_NEED_FIGHTER", 	  1, 0, 0, 2, 100, 2, 0, null, "TECH_FLIGHT"),
(37, "MILITARYAISTRATEGY_ENOUGH_FIGHTER",     1, 0, 0, 2, 100, 2, 0, null, "TECH_FLIGHT"),
(38, "MILITARYAISTRATEGY_NEED_BOMBER", 		  1, 0, 0, 2, 100, 2, 0, null, "TECH_FLIGHT"),
(39, "MILITARYAISTRATEGY_ENOUGH_BOMBER", 	  1, 0, 0, 2, 100, 2, 0, null, "TECH_FLIGHT");

-- Modify need mobile at TECH_COMBUSTION as landship comes online
-- Note: Make Flavor Values customizable
DELETE FROM AIMilitaryStrategy_City_Flavors WHERE AIMilitaryStrategyType IN ("MILITARYAISTRATEGY_NEED_RANGED", "MILITARYAISTRATEGY_ENOUGH_RANGED");
INSERT INTO AIMilitaryStrategy_City_Flavors (AIMilitaryStrategyType, FlavorType, Flavor) VALUES 
("MILITARYAISTRATEGY_NEED_ARCHER", "FLAVOR_ARCHER", 150),
("MILITARYAISTRATEGY_ENOUGH_ARCHER", "FLAVOR_ARCHER", -150),
("MILITARYAISTRATEGY_NEED_SIEGE", "FLAVOR_SIEGE", 150),
("MILITARYAISTRATEGY_ENOUGH_SIEGE",  "FLAVOR_SIEGE", -150),
("MILITARYAISTRATEGY_NEED_SKIRMISHER",  "FLAVOR_SKIRMISHER", 150),
("MILITARYAISTRATEGY_ENOUGH_SKIRMISHER", "FLAVOR_SKIRMISHER", -150),
("MILITARYAISTRATEGY_NEED_NAVAL_MELEE",  "FLAVOR_NAVAL_MELEE", 150),
--("MILITARYAISTRATEGY_NEED_NAVAL_MELEE",  "FLAVOR_NAVAL_RANGED", -150),
("MILITARYAISTRATEGY_ENOUGH_NAVAL_MELEE",  "FLAVOR_NAVAL_MELEE", -150),
("MILITARYAISTRATEGY_NEED_NAVAL_RANGED", "FLAVOR_NAVAL_RANGED", 150),
--("MILITARYAISTRATEGY_NEED_NAVAL_RANGED", "FLAVOR_NAVAL_MELEE", -150),
--("MILITARYAISTRATEGY_NEED_NAVAL_RANGED", "FLAVOR_NAVAL_RECON", -150),
("MILITARYAISTRATEGY_ENOUGH_NAVAL_RANGED", "FLAVOR_NAVAL_RANGED", -150),
("MILITARYAISTRATEGY_NEED_SUBMARINE", "FLAVOR_SUBMARINE", 150),	 
("MILITARYAISTRATEGY_ENOUGH_SUBMARINE", "FLAVOR_SUBMARINE", -150),	 
("MILITARYAISTRATEGY_NEED_FIGHTER", "FLAVOR_FIGHTER", 150),
("MILITARYAISTRATEGY_ENOUGH_FIGHTER", "FLAVOR_FIGHTER", -150),
("MILITARYAISTRATEGY_NEED_BOMBER", "FLAVOR_BOMBER", 150),	 
("MILITARYAISTRATEGY_ENOUGH_BOMBER", "FLAVOR_BOMBER", -150);	 

UPDATE AIMilitaryStrategy_City_Flavors SET Flavor = 150 WHERE AIMilitaryStrategyType = "MILITARYAISTRATEGY_NEED_MOBILE" and FlavorType = "FLAVOR_MOBILE";
UPDATE AIMilitaryStrategy_City_Flavors SET Flavor = -150 WHERE AIMilitaryStrategyType = "MILITARYAISTRATEGY_ENOUGH_MOBILE" and FlavorType = "FLAVOR_MOBILE";

-- Note: Make Flavor Values customizable
DELETE FROM AIMilitaryStrategy_Player_Flavors WHERE AIMilitaryStrategyType IN ("MILITARYAISTRATEGY_NEED_RANGED", "MILITARYAISTRATEGY_ENOUGH_RANGED");
INSERT INTO AIMilitaryStrategy_Player_Flavors (AIMilitaryStrategyType, FlavorType, Flavor) VALUES
("MILITARYAISTRATEGY_NEED_ARCHER", "FLAVOR_ARCHER", 15),
("MILITARYAISTRATEGY_ENOUGH_ARCHER", "FLAVOR_ARCHER", -15),
("MILITARYAISTRATEGY_NEED_SIEGE", "FLAVOR_SIEGE", 15),
("MILITARYAISTRATEGY_ENOUGH_SIEGE",  "FLAVOR_SIEGE", -15),
("MILITARYAISTRATEGY_NEED_SKIRMISHER",  "FLAVOR_SKIRMISHER", 15),
("MILITARYAISTRATEGY_ENOUGH_SKIRMISHER", "FLAVOR_SKIRMISHER", -15),
("MILITARYAISTRATEGY_NEED_NAVAL_MELEE",  "FLAVOR_NAVAL_MELEE", 15),
--("MILITARYAISTRATEGY_NEED_NAVAL_MELEE",  "FLAVOR_NAVAL_RANGED", -15),
("MILITARYAISTRATEGY_ENOUGH_NAVAL_MELEE",  "FLAVOR_NAVAL_MELEE", -15),
--("MILITARYAISTRATEGY_ENOUGH_NAVAL_MELEE",  "FLAVOR_NAVAL_RECON", -15),
("MILITARYAISTRATEGY_NEED_NAVAL_RANGED", "FLAVOR_NAVAL_RANGED", 15),
--("MILITARYAISTRATEGY_NEED_NAVAL_RANGED", "FLAVOR_NAVAL_MELEE", -15),
--("MILITARYAISTRATEGY_NEED_NAVAL_RANGED", "FLAVOR_NAVAL_RECON", -15),
("MILITARYAISTRATEGY_ENOUGH_NAVAL_RANGED", "FLAVOR_NAVAL_RANGED", -15),
("MILITARYAISTRATEGY_NEED_SUBMARINE", "FLAVOR_SUBMARINE", 15),	 
("MILITARYAISTRATEGY_ENOUGH_SUBMARINE", "FLAVOR_SUBMARINE", -15),	 
("MILITARYAISTRATEGY_NEED_FIGHTER", "FLAVOR_FIGHTER", 15),
("MILITARYAISTRATEGY_ENOUGH_FIGHTER", "FLAVOR_FIGHTER", -15),
("MILITARYAISTRATEGY_NEED_BOMBER", "FLAVOR_BOMBER", 15),	 
("MILITARYAISTRATEGY_ENOUGH_BOMBER", "FLAVOR_BOMBER", -15);	 

-- Grand Strategy adjustments
INSERT INTO AIGrandStrategy_FlavorMods (AIGrandStrategyType, FlavorType, Flavor) VALUES
("AIGRANDSTRATEGY_CONQUEST", "FLAVOR_BOMBER", 1),
("AIGRANDSTRATEGY_CONQUEST", "FLAVOR_SIEGE", 1),

("AIGRANDSTRATEGY_CULTURE", "FLAVOR_FIGHTER", 1),

("AIGRANDSTRATEGY_UNITED_NATIONS", "FLAVOR_FIGHTER", 1),

("AIGRANDSTRATEGY_SPACESHIP", "FLAVOR_FIGHTER", 1);




